curl --request GET \
--url https://api.hakumedia.ai/v2/data-keys/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/data-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/data-keys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/data-keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "data_key",
"self": "/v2/data-keys/1234",
"id": 1234,
"name": "my_string",
"type": "STRING",
"in_use": true
}Get a Single Data Key
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Data Key you'd like to get.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
A string denoting the current resource being requested or affected.
"data_key"
The relative URL of the current resource being requested or affected.
"/v2/data-keys/1234"
The current resource identifier (ID).
1234
The name of the data key. Must be unique. Names must be no longer than 32 characters.
"my_string"
The type of key (STRING, NUMBER, DATE, DATETIME, TIME).
"STRING"
Whether or not the data key is being used by a data key target. If the key is being used it cannot be modified or deleted.
true